
FORM TEST FILE
<style>
    .reviewsplus-one-review {
        padding: 20px;
        margin-bottom: 10px;
        border: 2px solid #e5e9f0;
        border-radius: 15px;
    }
    
    .reviewsplus-one-answer {
        font-weight: bold;
        font-size: 1.5em;
        color: red;
        margin-bottom: 10px;
    }
    
    .reviewsplus-one-review label {
        font-weight: bold;
        font-size: 1.2em;
    }
    
    .reviewsplus-one-review-date {
        font-size: 1.5em;       
        float: left;
    }
    
    .reviewsplus-one-review-info {
        margin-bottom: 10px;
    }
    
    .reviewsplus-one-review-pr {
        margin-bottom: 10px;
    }
    
    .reviewsplus-one-review-title {
        margin-bottom: 10px;
    }
    
    .reviewsplus-one-review-text {
        margin-bottom: 10px;
    }
    
    .reviewsplus-one-text {
        margin-top: 5px;
        margin-bottom: 10px;
    }
    
    .reviewsplus-one-textarea {
        margin-top: 5px;
        margin-bottom: 10px;
    }
    
    .reviewsplus-one-rate {
        margin-top: 5px;
        margin-bottom: 10px;
    }
    
    .reviewsplus-one-link {
        margin-top: 20px;
    }
    
    
    .reviewsplus-review-comments {
        margin-top: 10px;
    }
    
    .reviewsplus-one-comment {
        border: 2px dotted #e5e9f0;
        margin-top: 5px;
        padding: 10px;
    }
    
    .reviewsplus-comment-text {
        margin-top: 10px;
    }
    
    .reviewsplus-comment-link {
        margin-top: 10px;
        font-size: 0.9em;
    }
    
    .reviewsplus-deleted-comment {
        margin-top: 10px;
        color: red;
        font-weight: bold;
    }
    
    .reviewsplus-comment-title {
        margin-top: 10px;
        font-weight: bold;
    }
    
    .reviewsplus-delete-all {
        margin-bottom: 15px;
    }
    
    .reviewsplus-one-ip {
        margin-bottom: 10px;
    }
    
    .reviewsplus-spam {
        margin-bottom: 10px;
        border: 2px dotted red;
        padding: 10px;
        font-weight: bold;
    }
    
    .reviewsplus-date-id {
        margin-bottom: 15px;
        margin-top: 15px;
    }
    
    .reviewsplus-one-id {
        text-align: right;              
    }
    
    .reviewsplus-one-id span {
        background: gray;
        padding: 5px;        
        color: white;
    }
</style>
{if $type === 'deleted'}
    <div class="reviewsplus-delete-all">
        <input type='button' id='reviewsplus-delete-all-button' value='Окончательно удалить все' />
        <span class="reviewsplus-delete-all-span" style='display: none;'>Удаляем... <i class="icon16 loading"></i></span>
    </div>
{/if}
{if isset($pages_count) && $pages_count > 1}
<div class="reviewsplus-pages">
    <div style="float: left; margin-right: 10px; font-weight: bold; padding-top: 5px;">
        Страницы: 
    </div>        
    <ul class="menu-h">
        {for $i = 1; $i le $pages_count; $i++}
        <li data-reviewsplus-page="{$i}"
            {if $i == $cpage}
                class="selected"
            {/if}
            >
            <a href="javascript:void(0);" class="reviewsplus-page">
                {$i}
            </a>
        </li>            
        {/for}
    </ul>
</div>
{/if}
{if isset($reviews)}
    {foreach $reviews as $val => $review}
    
        <div class="reviewsplus-one-review" data-reviewsplus-review-id="{$val|escape}">
            
            <div class="reviewsplus-result" style='display: none;'></div>
            
            {if isset($review['spam']) && $review['spam'] == 1}
                <div class="reviewsplus-spam">
                    Akismet пометил как спам
                </div>                
            {/if}
            
            {if isset($review['parent_id']) && $review['parent_id'] != 0}
                <div class="reviewsplus-one-answer">
                    Ответ
                </div>
            {/if}
            
            <div class="reviewsplus-date-id">
                <div class='reviewsplus-one-review-date'>
                    {if isset($review['datetime'])}
                        {$review['datetime']|wa_datetime:"humandatetime"}
                    {else}
                        -
                    {/if}
                </div>
                <div class="reviewsplus-one-id">
                    <span><b>id:</b> {$val|escape}</span>
                </div>                
            </div>    
            
            {if isset($review['ip']) && !empty($review['ip'])}
                <div class='reviewsplus-one-ip'>
                    <b>IP:</b> {long2ip($review['ip']|escape)}
                </div>                
            {/if}
            
            <div class="reviewsplus-one-review-info">
                {if isset($review['name']) && !empty($review['name'])}
                    <label>
                        {if isset($fields['name']) && !empty($fields['name'])}
                            {$fields['name']['name']|escape}: 
                        {else}
                            Имя: 
                        {/if}
                    </label>
                    {$review['name']|escape}
                {/if}
                {if isset($review['email']) && !empty($review['email'])}
                    <label>
                        {if isset($fields['email'])}
                            {$fields['email']['name']|escape}: 
                        {else}
                            Email: 
                        {/if}
                    </label>
                    {$review['email']|escape}
                {/if}
                {if isset($review['site']) && !empty($review['site'])}
                    <label>
                        {if isset($fields['email'])}
                            {$fields['site']['name']|escape}: 
                        {else}
                            Сайт: 
                        {/if}
                    </label>
                    {$review['site']|escape}
                {/if}
            </div>
            
            <div class="reviewsplus-one-review-pr">
                {if isset($review['p_name']) && !empty($review['p_name'])}
                    <span class="reviewsplus-one-review-pr-name">
                        <label>Отзыв о: </label>
                        <a href="{$wa_backend_url}shop/?action=products#/product/{$review['product_id']|escape}/"
                           target='_blank'>
                            {$review['p_name']|escape}
                        </a>
                    </span>
                {/if}
                {if isset($review['rate']) && !empty($review['rate'])}                    
                    <label>
                        {if isset($fields['rate']) && !empty($fields['rate'])}
                            {$fields['rate']['name']|escape}: 
                        {else}
                            Рейтинг: 
                        {/if}
                    </label>
                    {if $review['rate'] == '0.00'}
                        -
                    {else}    
                        {$wa->shop->ratingHtml($review['rate'], 16)}
                    {/if}
                {/if}
            </div>
            
            {if isset($review['title']) && !empty($review['title'])}
                <div class="reviewsplus-one-review-title">
                    <label>
                        {if isset($fields['title']) && !empty($fields['title'])}
                            {$fields['title']['name']|escape}: 
                        {else}
                            Заголовок: 
                        {/if}
                    </label>
                    {$review['title']|escape}
                </div>
            {/if}                
            {if isset($review['text']) && !empty($review['text'])}                    
                <label>
                    {if isset($fields['text']) && !empty($fields['text'])}
                        {$fields['text']['name']|escape}: 
                    {else}
                        отзыв: 
                    {/if}
                </label>
                <div class="reviewsplus-one-text">
                    {$review['text']|escape}
                </div>
            {/if}
            {if isset($dop_fields[$review['id']]) && !empty($dop_fields[$review['id']])}                
                <div class="reviewsplus-one-dop">
                    {foreach $dop_fields[$review['id']] as $name => $val}                    
                        {if isset($fields[$name]) && !empty($val)}
                            <label>{$fields[$name]['name']|escape}</label>
                            {if $fields[$name]['type'] == 'text'}
                                <div class="reviewsplus-one-text">
                                    {$val|escape}
                                </div>
                            {else if $fields[$name]['type'] == 'rate'}
                                <div class="reviewsplus-one-rate">
                                    {$wa->shop->ratingHtml($val, 16)}
                                </div>    
                            {else if $fields[$name]['type'] == 'textarea'}
                                <div class="reviewsplus-one-textarea">
                                    {$val|escape}
                                </div>                                
                            {/if}
                        {/if}                 
                    {/foreach}
                </div>
            {/if} 
            <div class="reviewsplus-link"> 
                {if isset($type) && $type == 'deleted'}
                    <input type='button' 
                           class="reviewsplus-return-button button yellow" 
                           style="cursor: pointer;"
                           value="Восстановить" 
                           />
                {/if}
                {if isset($type) && $type == 'published'}
                    <input type='button' 
                           class="reviewsplus-answer-button button green" 
                           style="cursor: pointer;"
                           value="Ответить" 
                           />
                {/if}                
                <input type="button" 
                       value="Редактировать" 
                       class="reviewsplus-edit-button button blue" 
                       style="cursor: pointer;                        
                       {if isset($type) && $type == 'deleted'}
                           display: none;
                       {/if}"
                       />
                <input type="button" 
                       value="Удалить {if $type === 'deleted'}окончательно{/if}" 
                       class="reviewsplus-del-button button red" 
                       style="cursor: pointer;"/>
                <input type="button" 
                       value="Опубликовать" 
                       class="reviewsplus-add-button button green" 
                       style="cursor: pointer;
                       {if isset($type) && $type != 'moderated'}
                            display: none;
                       {/if}"
                       />                 
            </div>
            {if isset($review['comments'])}            
                <div class='reviewsplus-review-comments'>                
                {foreach $review['comments'] as $comment}
                    {$margin = 30}
                    {if isset($comment['depth']) && $comment['depth'] < 6}
                        {$margin = $margin*$comment['depth']}
                    {else if $comment['depth'] >= 6}
                        {$margin = 150}
                    {/if}
                    {if $comment['status'] === 'deleted'}
                    {break}
                    {/if}
                    <div class="reviewsplus-one-comment" 
                         data-reviewsplus-comment-id="{$comment['id']|escape}"
                         style='margin-left: {$margin}px'>                        
                        <div class='reviewsplus-comment-info'>
                            {if isset($comment['datetime'])}
                                {$comment['datetime']|wa_datetime:"humandatetime"}
                            {/if}
                            {if isset($comment['contact_id'])}
                                {$author = shopProductReviewsModel::getAuthorInfo($comment['contact_id'])}
                                {if isset($author['name'])}
                                    <b>{$author['name']|escape}</b>
                                {/if}                                
                            {/if}
                        </div>
                        {if isset($comment['title'])}
                            <div class='reviewsplus-comment-title'>
                                {$comment['title']|escape}
                            </div>
                        {/if}
                        {if isset($comment['text'])}
                            <div class='reviewsplus-comment-text'>
                                {$comment['text']|escape}
                            </div>
                        {/if}
                        {if $comment['status'] !== 'deleted'}
                        <div class="reviewsplus-comment-link">
                            <a href="javascript:void(0);" class="reviewsplus-comment-link-edit inline-link">
                                <i class="icon10 edit"></i><b><i>Редактировать</i></b>
                            </a>
                            &nbsp;
                            <a href="javascript:void(0);" class="reviewsplus-comment-link-delete inline-link">
                                <i class="icon10 delete"></i><b><i>Удалить</i></b>
                            </a>                            
                        </div>
                        {else}
                        <div class="reviewsplus-deleted-comment">
                            Данный ответ удален. Он и дальнейшая ветка (если есть) НЕ будут отображаться во фронтенде!!!
                        </div>
                        {/if}
                    </div>
                {/foreach}
                </div>
            {/if}
        </div>            
    {/foreach}
{else}
    <div class="reviewsplus-no-moderated">
        Отзывов нет ...
    </div>
{/if}
<script>
(function($) {
    
    $(".reviewsplus-page").on('click', function() {
        
        var page = $(this).closest('li').data('reviewsplus-page');
                
        if(typeof(page) !== 'undefined') {
            $.reviewsplus_moderate.page = page;
        } else {
            return false;
        }
                
        $.reviewsplus_moderate.showReviews();                
        return false;                
    }); 
    
    $("#reviewsplus-delete-all-button").on('click', function() {
        
        if(confirm("Вы уверены, что хотите окончательно удалить ВСЕ удаленные отзывы?")) {
            
            $.ajax({
                url: '?plugin=reviewsplus&action=delAllReviews',
                dataType: "json",
                type: "post",
                
                beforeSend: function() {
                    
                    $('.reviewsplus-delete-all-span').show();                    
                },
                
                success: function(response) {
                    
                    if(response.status !== 'fail') {
                        $(".reviewsplus-deleted-count").html(0);
                        $.reviewsplus_moderate.showReviews();
                    } else {
                        if(console) {
                            console.log(response);
                        }
                    }
                },
                
                error: function(jqXHR, errorText, errorThrown) {
                    if(console){
                        console.log(jqXHR, errorText, errorThrown);
                    }
                },
                
                complete: function() {
                    $(".reviewsplus-delete-all-span").hide();
                }
                
            });
            
        }
        
    });
    
})(jQuery);
</script>